<?
session_start();
require('../valtiempoinact.php');
function array_envia($array) { 
     $tmp = serialize($array); 
     $tmp = urlencode($tmp); 
     return $tmp; 
}
$nombredias=array("D","L","M","M","J","V","S"); 
function obtieneDias($Month, $Year)
{
      return date("d",mktime(0,0,0,$Month+1,0,$Year));
}

                     $fecha = date("Y-m-d");
                     $ano = substr($fecha, 0, 4);
                     $mes = substr($fecha, 5, 2);
                     $dia = substr($fecha, 8,2);
					 
					 $fechainiP1=$ano."-".$mes."-03";
					 $fechafinP1=$ano."-".$mes."-"."17";
					 
					 $messig=$mes+1;
					 if($messig<=10){
					   if($messig<10){
					    $messig="0".$messig;}
						
					 }$ano2=$ano;
					 if($messig>12){
					    $messig="01";
						$ano2=$ano+1;
					 }
					 $fechainiP2=$ano."-".$mes."-18";
					 $fechafinP2=$ano2."-".$messig."-"."02";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
    <head>
        <style>	 
            .tabla{width:100%;background:#ffffff;border-collapse: collapse;font-family:arial;}
			.titulo{height:35px;max-height:35px !important;background:#ffffff url(images/tlcancion.jpg) repeat-x;color:#0d0d0d;font-size:15px;}
			.titulos{height:30px;background:url(images/tcancion.jpg) repeat-x;max-height:30px !important;color:#ffffff;font-size:12px;}
			.nombre{height:28px;background:#0a0a0a;color:#ffffff;text-align:center;font-size:12px;}
			.concepto{height:28px;background:url(images/tcancion.jpg) repeat-x;color:#ffffff;text-align:center;font-size:11px;}
			.inp{width:35px;text-align:right;font-size:10px;}
			.inpd{width:15px;text-align:right;font-size:10px;}
			.tdcal{background:#ffffff;}
			.tdcal:hover .inpd{border:1px;Moz-box-shadow: 0 0 5px 2px #000;-webkit-box-shadow: 0 0 5px 2px #000; box-shadow: 0 0 5px 2px #000;}
			.act{display:block;overflow:hidden;width:100%;height:50px;background:#BEF781;font-family:arial;font-size:17px;font-weight:bold;color:#4B610B;text-align:center;border:solid 2px #4B610B;-moz-border-radius: 5px;-webkit-border-radius: 5px;border-radius: 5px;-khtml-border-radius: 5px; -Moz-box-shadow: 0px 5px 10px # 556B2F;-webkit-box-shadow: 0px 5px 10px #556B2F; box-shadow: 0px 5px 10px #556B2F;}
			.act p{position:relative;top:0px;}
			.act img{position:relative;width:40px;height:40px;top:-50px;left:250px;}
			h2{font-family:arial;font-size:16px;}
			
			.inpof{width:15px;text-align:right;font-size:10px;border:none;}
			.nd{cursor:hand;cursor:pointer;}
        </style>
        <script>
		    var inicio;
		    function oculta(){inicio=new Date().getTime(); start=setInterval("ocul()",10);}
			function ocul(){var div=document.getElementById("msg");var ahora=new Date().getTime();var h=50; p=(ahora-inicio)/100; np=h-Math.pow(p,2); div.style.height=np+"px";if(np<=0){div.style.display="none";clearInterval(start);}}
			//timer();
        </script>
        <script>
            function bloquea(id,dia){
			     dia=parseInt(dia);
				 if(!$('#'+id+'anun'+dia).attr('readonly')){
					document.getElementById("contador"+id).value=parseInt(document.getElementById("contador"+id).value)+1;
				$('#'+id+'anun'+dia).attr('readonly', true);$('#'+id+'anun'+dia).val('D');
				    $('#'+id+'anun'+dia).removeClass('inpd');$('#'+id+'anun'+dia).addClass('inpof');
					
				    $('#'+id+'llama'+dia).attr('readonly', true);$('#'+id+'llama'+dia).val('D');
					$('#'+id+'llama'+dia).removeClass('inpd');$('#'+id+'llama'+dia).addClass('inpof');
					
				    $('#'+id+'cita'+dia).attr('readonly', true);$('#'+id+'cita'+dia).val('D');
					$('#'+id+'cita'+dia).removeClass('inpd');$('#'+id+'cita'+dia).addClass('inpof');
					
				    $('#'+id+'asis'+dia).attr('readonly', true);$('#'+id+'asis'+dia).val('D');
					$('#'+id+'asis'+dia).removeClass('inpd');$('#'+id+'asis'+dia).addClass('inpof');
					
				    $('#'+id+'me'+dia).attr('readonly', true);$('#'+id+'me'+dia).val('D');
					$('#'+id+'me'+dia).removeClass('inpd');$('#'+id+'me'+dia).addClass('inpof');
					
				    $('#'+id+'cm'+dia).attr('readonly', true);$('#'+id+'cm'+dia).val('D');
					$('#'+id+'cm'+dia).removeClass('inpd');$('#'+id+'cm'+dia).addClass('inpof');
					
				    $('#'+id+'ca'+dia).attr('readonly', true);$('#'+id+'ca'+dia).val('D');
					$('#'+id+'ca'+dia).removeClass('inpd');$('#'+id+'ca'+dia).addClass('inpof');
				 }else{
					document.getElementById("contador"+id).value=parseInt(document.getElementById("contador"+id).value)-1;
				    $('#'+id+'anun'+dia).attr('readonly', false);$('#'+id+'anun'+dia).val('0');
					$('#'+id+'anun'+dia).removeClass('inpof');$('#'+id+'anun'+dia).addClass('inpd');
					
				    $('#'+id+'llama'+dia).attr('readonly', false);$('#'+id+'llama'+dia).val('0');
					$('#'+id+'llama'+dia).removeClass('inpof');$('#'+id+'llama'+dia).addClass('inpd');
					
				    $('#'+id+'cita'+dia).attr('readonly', false);$('#'+id+'cita'+dia).val('0');
					$('#'+id+'cita'+dia).removeClass('inpof');$('#'+id+'cita'+dia).addClass('inpd');
					
				    $('#'+id+'asis'+dia).attr('readonly', false);$('#'+id+'asis'+dia).val('0');
					$('#'+id+'asis'+dia).removeClass('inpof');$('#'+id+'asis'+dia).addClass('inpd');
					
				    $('#'+id+'me'+dia).attr('readonly', false);$('#'+id+'me'+dia).val('0');
					$('#'+id+'me'+dia).removeClass('inpof');$('#'+id+'me'+dia).addClass('inpd');
					
				    $('#'+id+'cm'+dia).attr('readonly', false);$('#'+id+'cm'+dia).val('0');
					$('#'+id+'cm'+dia).removeClass('inpof');$('#'+id+'cm'+dia).addClass('inpd');
					
				    $('#'+id+'ca'+dia).attr('readonly', false);$('#'+id+'ca'+dia).val('0');
					$('#'+id+'ca'+dia).removeClass('inpof');$('#'+id+'ca'+dia).addClass('inpd');
				 }
			}
         function carga(id,nd){
		 nd1=nd;
			nd=nd-parseInt(document.getElementById("contador"+id).value);
			 var an=0,totan=parseInt(document.getElementById("noanuncios"+id).value);
			 an=totan/nd;
			 an=Math.round(an);
			 if(an<1){an=1;}
			 difan=totan-(an*nd);
			 var ll=0,totll=parseInt(document.getElementById("nollamadas"+id).value);
			 ll=totll/nd;
			 ll=Math.round(ll);			
			 if(ll<1){ll=1;}
			 difll=totll-(ll*nd);
			 var ci=0,totci=parseInt(document.getElementById("nocitas"+id).value);
			 ci=totci/nd;
			 ci=Math.round(ci);
		      if(ci<1){ci=1;}
			   difci=totci-(ci*nd);
			 var as=0,totas=parseInt(document.getElementById("noasis"+id).value);
			 as=totas/nd;
			 as=Math.round(as);
			 if(as<1){as=1;}
			  difas=totas-(as*nd);
			 var me=0,totme=parseInt(document.getElementById("nomailen"+id).value);
			 me=totme/nd;
			 me=Math.round(me);
			 if(me<1){me=1;}
			  difme=totme-(me*nd);
			 var cm=0,totcm=parseInt(document.getElementById("nocmail"+id).value);
			 cm=totcm/nd;
			 cm=Math.round(cm);
			 if(cm<1){cm=1;}
			  difcm=totcm-(cm*nd);
			 var ca=0,totca=parseInt(document.getElementById("nocas"+id).value);
			 ca=totca/nd;
			 ca=Math.round(ca);
			 if(ca<1){ca=1;}
			 difca=totca-(ca*nd);
			
		     
			 for(i=1;i<=nd1;i++){
			    if(!$('#'+id+'anun'+i).attr('readonly')){
				     if(difan>0&&i>2){ $('#'+id+'anun'+i).val(an+1);difan--;}
					 else $('#'+id+'anun'+i).val(an);
					 
				}
				if(!$('#'+id+'llama'+i).attr('readonly')){
				      if(difll>0&&i>2){ $('#'+id+'llama'+i).val(ll+1); difll--;}
					  else $('#'+id+'llama'+i).val(ll);
					 
					
				}
				if(!$('#'+id+'cita'+i).attr('readonly')){
					 if(difci>0&&i>2){ $('#'+id+'cita'+i).val(ci+1);difci--;}
				     else $('#'+id+'cita'+i).val(ci);
					 
					
				}
				if(!$('#'+id+'asis'+i).attr('readonly')){
					 if(difas>0&&i>2){ $('#'+id+'asis'+i).val(as+1);difas--;}
				     else $('#'+id+'asis'+i).val(as);
					 
					 
				}
				if(!$('#'+id+'me'+i).attr('readonly')){
					 if(difme>0&&i>2){ $('#'+id+'me'+i).val(me+1); difme--;}
				     else $('#'+id+'me'+i).val(me);
					
					 
				}
				if(!$('#'+id+'cm'+i).attr('readonly')){
					 if(difcm>0&&i>2){ $('#'+id+'cm'+i).val(cm+1); difcm--;}
				     else $('#'+id+'cm'+i).val(cm);
					
					
				}
				if(!$('#'+id+'ca'+i).attr('readonly')){
					 if(difca>0&&i>2){ $('#'+id+'ca'+i).val(ca+1);difca--;}
				     else $('#'+id+'ca'+i).val(ca);
					 
					 
				}
			 }
		     
		 }			
        </script>		
        <script src="js/jquery-1.8.2.min.js" type="text/javascript"></script>		
	</head>
	<body>
	<?
	  $año=Date("Y");
	  $mes=Date("m");
	  $top=$_GET['top'];
      $meses=array("ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO","AGOSTO","SEPTIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
	  if($mes==12){$mes=1;}else{$mes=$mes+1;}
	  $nodias =strftime("%d", mktime(0, 0, 0, $mes, 0, $año));
	  
	  require('../conectar.php');
	  $wewe="select puesto from empleados where id_empleado='$_SESSION[usuario_id]' AND fechabaja='0000-00-00'";
	  $wewewe=mysql_query($wewe);
	  $we=mysql_fetch_array($wewewe);
	  if($we["puesto"]=="4")
	  {
	  $sql="SELECT id_empleado,nombre,a_pat FROM empleados WHERE puesto IN (4,5) AND fechabaja='0000-00-00' and coordinador='$_SESSION[usuario_id]' order by puesto";
	  }
	  else{$sql="SELECT id_empleado,nombre,a_pat FROM empleados WHERE puesto IN (4,5) AND fechabaja='0000-00-00'  order by puesto";
	  }
	  $res=mysql_query($sql);
	  $nombremes=$meses[Date("m")-1];
	  if($top==md5("registro"))
	  {
	   ?>
	    <div id="msg" class="act">
		    <p>Los datos fueron registrados correctamente</p><img src="images/regok.png"/>
		</div>
		
	   <?
	  }
	  if($top==md5("update"))
	  {
	   ?>
	    <div id="msg" class="act">
		    <p>Los datos fueron actualizados correctamente</p><img src="images/regok.png"/>
		</div>
	   <?
	  }
	?>
	<center><h2>Plan de trabajo del mes de <?echo $nombremes;?></h2></center>
	<form name="plan" action="guardaplantrabajo.php" method="post">
	<input type="hidden" name="mes" value="<?echo $nombremes;?>">
	<input type="hidden" name="año" value="<?echo $año;?>">
	<input type="hidden" name="nodias" value="<?echo $nodias;?>">
	<input type="hidden" name="ids" id="ids" value="">
	<?  
	while($ls=mysql_fetch_array($res))
	{	 
     $id=$ls['id_empleado'];
     //CONSULTA PARA ANUNCIOS
	 $sql="SELECT * FROM metas WHERE id_meta=(SELECT id FROM meta WHERE mes='$nombremes' AND anio='$año') AND id_emp='$id' AND tipometa='ANUNCIOS'";
	 $con=mysql_query($sql);
	 $m=mysql_fetch_array($con); 
    ?>	
        <center>
	        <table class="tabla">
		        <tr class="titulo">
			        <td colspan="<?echo $nodias+3;?>">
				        <font style="position:absolute;margin-top:-3px;margin-left:15px;"><b> Monto: </b><input style="text-align:right;" type="text" name="monto<?echo $id;?>" id="monto<?echo $id;?>" size="4" value="<?echo $m['monto'];?>"  autocomplete=off/></font><center><b>Plan de trabajo para <?echo $ls['nombre']?></b></center>
						<font style="position:absolute;margin-top:-23px;right:15px;"><input type="button" name="caraga<?echo $id?>" value="cargar plan" onclick="carga('<?echo $id?>','<?echo $nodias?>');"></font>
				    </td>
			    </tr>
				<tr class="titulos">
				    <td align="center"></td>   
				    <td align="center"></td>
				    <?
					            
								$n=1;
				                      for($i=$fechainiP1;$i<=$fechafinP1;$i = date("Y-m-d", strtotime($i ."+ 1 days"))){
				                      $ano = substr($i, 0, 4);
                                      $mes   = substr($i, 5, 2);
                                      $dia = substr($i, 8,2);
				                      $nmes=mktime( 0, 0, 0, $mes, 1, $ano );
				                      ?>
				                      <td class="nd"  align="center" onclick="bloquea('<?echo $id?>','<?echo $dia?>');"><? echo $nombredias[intval(date("w",strtotime($i)))];?></td>
				                        <?
				                         if($n==1){
				                             $n=2;
				                         }else{
					                     $n=1;
					                     }
				                    }	
						   $n=1;
				                      for($i=$fechainiP2;$i<=$fechafinP2;$i = date("Y-m-d", strtotime($i ."+ 1 days"))){
				                      $ano = substr($i, 0, 4);
                                      $mes   = substr($i, 5, 2);
                                      $dia = substr($i, 8,2);
				                      $nmes=mktime( 0, 0, 0, $mes, 1, $ano );
				                      ?>
				                      <td class="nd"  align="center" onclick="bloquea('<?echo $id?>','<?echo $dia?>');"><? echo $nombredias[intval(date("w",strtotime($i)))];?></td>
				                        <?
				                         if($n==1){
				                             $n=2;
				                         }else{
					                     $n=1;
					                     }
				                    }	
						
					?>	
				</tr>
				<tr class="titulos"> 
				    <td align="center">Meta</td>   
				    <td align="center">Cantidad</td>
                    <?
					  for($i=3;$i<=$nodias;$i++) 
					  {
					   ?>
					    <td align="center"><?echo $i;?></td>
					   <?
					  }	
						   for($i=1;$i<=2;$i++) {
						   ?>
						      <td align="center"><?echo $i;?></td>
						   <?
						   }
						
					?>				
				</tr>
				<tr>
					<td class="concepto">Anuncios</td>
					<td class="concepto">
					    <input type="text" id="noanuncios<?echo $id?>" name="noanuncios<?echo $id?>" size="2" class="inp" value="<?echo $m["cantidad"]?>" autocomplete="OFF" ></td>
					<?
					  for($i=3;$i<=$nodias;$i++) 
					  {
					   ?>
					    <td class="tdcal" align="center">
						    <input type="text" name="<?echo $id?>anun<?echo $i?>" id="<?echo $id?>anun<?echo $i?>" class="inpd" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue=false;" value="<?echo $m["dia$i"]?>" <?if($m["dia$i"]=="D"){echo"readonly";$ds++;}?>  autocomplete="OFF" >
						</td>
					   <?
					  }
					  for($i=1;$i<=2;$i++) 
					  {
					   ?>
					    <td class="tdcal" align="center">
						    <input type="text" name="<?echo $id?>anun<?echo $i?>" id="<?echo $id?>anun<?echo $i?>" class="inpd" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue=false;" value="<?echo $m["dia$i"]?>" <?if($m["dia$i"]=="D"){echo"readonly";$ds++;}?>  autocomplete="OFF" >
						</td>
					   <?
					  }
					  mysql_free_result($con);
					  
					  //CONSULTA PARA LLAMADAS
					  $sql="SELECT * FROM metas WHERE id_meta=(SELECT id FROM meta WHERE mes='$nombremes' AND anio='$año') AND id_emp='$id' AND tipometa='LLAMADAS'";
	                  $con=mysql_query($sql);
	                  $m=mysql_fetch_array($con);
					?>	
				</tr>
				<tr>
					<td class="concepto">Llamadas</td>
					<td class="concepto">
					    <input type="text" id="nollamadas<?echo $id?>" name="nollamadas<?echo $id?>" size="2" class="inp" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue=false;" value="<?echo $m["cantidad"]?>" autocomplete="OFF" >
					</td>
					<?
					  for($i=3;$i<=$nodias;$i++) 
					  {
					   ?>
					    <td class="tdcal" align="center">
						    <input type="text" name="<?echo $id?>llama<?echo $i?>" id="<?echo $id?>llama<?echo $i?>" class="inpd" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue=false;" value="<?echo $m["dia$i"]?>" <?if($m["dia$i"]=="D"){echo"readonly";$ds++;}?>  autocomplete="OFF" >
						</td>
					   <?
					  }
					  for($i=1;$i<=2;$i++) 
					  {
					   ?>
					    <td class="tdcal" align="center">
						    <input type="text" name="<?echo $id?>llama<?echo $i?>" id="<?echo $id?>llama<?echo $i?>" class="inpd" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue=false;" value="<?echo $m["dia$i"]?>" <?if($m["dia$i"]=="D"){echo"readonly";$ds++;}?> autocomplete="OFF" >
						</td>
					   <?
					  }
					  mysql_free_result($con);
					  
					  //CONSULTA PARA CITAS
					  $sql="SELECT * FROM metas WHERE id_meta=(SELECT id FROM meta WHERE mes='$nombremes' AND anio='$año') AND id_emp='$id' AND tipometa='CITAS'";
	                  $con=mysql_query($sql);
	                  $m=mysql_fetch_array($con);
					?>
				</tr>
				<tr>
					<td class="concepto">Citas</td>
					<td class="concepto">
						<input type="text" id="nocitas<?echo $id?>" name="nocitas<?echo $id?>" size="2" class="inp" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue=false;" value="<?echo $m["cantidad"]?>" autocomplete="OFF" >
					</td>
					<?
					  for($i=3;$i<=$nodias;$i++) 
					  {
					   ?>
					    <td class="tdcal" align="center">
						    <input type="text" name="<?echo $id?>cita<?echo $i?>" id="<?echo $id?>cita<?echo $i?>" class="inpd" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue=false;" value="<?echo $m["dia$i"]?>" <?if($m["dia$i"]=="D"){echo"readonly";$ds++;}?>  autocomplete="OFF" >
						</td>
					   <?
					  }
					  for($i=1;$i<=2;$i++) 
					  {
					   ?>
					    <td class="tdcal" align="center">
						    <input type="text" name="<?echo $id?>cita<?echo $i?>" id="<?echo $id?>cita<?echo $i?>" class="inpd" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue=false;" value="<?echo $m["dia$i"]?>" <?if($m["dia$i"]=="D"){echo"readonly";$ds++;}?> autocomplete="OFF" >
						</td>
					   <?
					  }
					  mysql_free_result($con);
					  
					  //CONSULTA PARA ASISTENCIAS
					  $sql="SELECT * FROM metas WHERE id_meta=(SELECT id FROM meta WHERE mes='$nombremes' AND anio='$año') AND id_emp='$id' AND tipometa='ASISTENCIAS'";
	                  $con=mysql_query($sql);
	                  $m=mysql_fetch_array($con);
					?>
				</tr>
				<tr>
					<td class="concepto">Asistencias</td>
					<td class="concepto">
					    <input type="text" id="noasis<?echo $id?>" name="noasis<?echo $id?>" size="2" class="inp" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue=false;" value="<?echo $m["cantidad"]?>" autocomplete="OFF" >
					</td>
					<?
					  for($i=3;$i<=$nodias;$i++) 
					  {
					   ?>
					    <td class="tdcal" align="center">
						    <input type="text" name="<?echo $id?>asis<?echo $i?>" id="<?echo $id?>asis<?echo $i?>" class="inpd" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue=false;" value="<?echo $m["dia$i"]?>" <?if($m["dia$i"]=="D"){echo"readonly";$ds++;}?> autocomplete="OFF" >
						</td>
					   <?
					  }
					  for($i=1;$i<=2;$i++) 
					  {
					   ?>
					    <td class="tdcal" align="center">
						    <input type="text" name="<?echo $id?>asis<?echo $i?>" id="<?echo $id?>asis<?echo $i?>" class="inpd" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue=false;" value="<?echo $m["dia$i"]?>" <?if($m["dia$i"]=="D"){echo"readonly";$ds++;}?> autocomplete="OFF" >
						</td>
					   <?
					  }
					  mysql_free_result($con);
					  
					  //CONSULTA PARA ASISTENCIAS
					  $sql="SELECT * FROM metas WHERE id_meta=(SELECT id FROM meta WHERE mes='$nombremes' AND anio='$año') AND id_emp='$id' AND tipometa='MAIL ENVIADOS'";
	                  $con=mysql_query($sql);
	                  $m=mysql_fetch_array($con);
					?>
				</tr>
				<tr>
					<td class="concepto">Mail</td>
					<td class="concepto">
					    <input type="text" id="nomailen<?echo $id?>" name="nomailen<?echo $id?>" size="2" class="inp" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue=false;" value="<?echo $m["cantidad"]?>" autocomplete="OFF" >
					</td>
					<?
					  for($i=3;$i<=$nodias;$i++) 
					  {
					   ?>
					    <td class="tdcal" align="center">
						    <input type="text" name="<?echo $id?>me<?echo $i;?>" id="<?echo $id?>me<?echo $i;?>" class="inpd" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue=false;" value="<?echo $m["dia$i"]?>" <?if($m["dia$i"]=="D"){echo"readonly";$ds++;}?> autocomplete="OFF" >
						</td>
					   <?
					  }
					  for($i=1;$i<=2;$i++) 
					  {
					   ?>
					    <td class="tdcal" align="center">
						    <input type="text" name="<?echo $id?>me<?echo $i;?>" id="<?echo $id?>me<?echo $i;?>" class="inpd" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue=false;" value="<?echo $m["dia$i"]?>" <?if($m["dia$i"]=="D"){echo"readonly";$ds++;}?> autocomplete="OFF" >
						</td>
					   <?
					  }
					  mysql_free_result($con);
					  
					  //CONSULTA PARA CIERRES MAIL
					  $sql="SELECT * FROM metas WHERE id_meta=(SELECT id FROM meta WHERE mes='$nombremes' AND anio='$año') AND id_emp='$id' AND tipometa='CIERRE MAIL'";
	                  $con=mysql_query($sql);
	                  $m=mysql_fetch_array($con);
					?>
				</tr>
				<tr>
					<td class="concepto">Cierres mail</td>
					<td class="concepto">
					    <input type="text" id="nocmail<?echo $id?>" name="nocmail<?echo $id?>" size="2" class="inp" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue=false;" value="<?echo $m["cantidad"]?>" autocomplete="OFF" >
					</td>
					<?
					  for($i=3;$i<=$nodias;$i++) 
					  {
					   ?>
					    <td class="tdcal" align="center">
						    <input type="text" name="<?echo $id?>cm<?echo $i;?>" id="<?echo $id?>cm<?echo $i;?>" class="inpd" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue=false;" value="<?echo $m["dia$i"]?>" <?if($m["dia$i"]=="D"){echo"readonly";$ds++;}?> autocomplete="OFF" >
						</td>
					   <?
					  }
					  for($i=1;$i<=2;$i++) 
					  {
					   ?>
					    <td class="tdcal" align="center">
						    <input type="text" name="<?echo $id?>cm<?echo $i;?>" id="<?echo $id?>cm<?echo $i;?>" class="inpd" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue=false;" value="<?echo $m["dia$i"]?>" <?if($m["dia$i"]=="D"){echo"readonly";$ds++;}?> autocomplete="OFF" >
						</td>
					   <?
					  }
					  mysql_free_result($con);
					  
					  //CONSULTA PARA CIERRES ASISTENCIA
					  $sql="SELECT * FROM metas WHERE id_meta=(SELECT id FROM meta WHERE mes='$nombremes' AND anio='$año') AND id_emp='$id' AND tipometa='CIERRE ASISTENCIA'";
	                  $con=mysql_query($sql);
	                  $m=mysql_fetch_array($con);
					?>
				</tr>
				<tr>
					<td class="concepto">Cierres Asis.</td>
					<td class="concepto">
					    <input type="text" id="nocas<?echo $id?>" name="nocas<?echo $id?>" size="2" class="inp" onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue=false;" value="<?echo $m["cantidad"]?>" autocomplete="OFF" >
					</td>
					<?
					  for($i=3;$i<=$nodias;$i++) 
					  {
					   ?>
					    <td class="tdcal" align="center">
						    <input type="text" id="<?echo $id?>ca<?echo $i?>" name="<?echo $id?>ca<?echo $i?>" class="inpd "onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue=false;" value="<?echo $m["dia$i"]?>" <?if($m["dia$i"]=="D"){echo"readonly";$ds++;}?> autocomplete="OFF" >
						</td>
					   <?
					  }
					  for($i=1;$i<=2;$i++) 
					  {
					   ?>
					    <td class="tdcal" align="center">
						    <input type="text" id="<?echo $id?>ca<?echo $i?>" name="<?echo $id?>ca<?echo $i?>" class="inpd "onkeypress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue=false;" value="<?echo $m["dia$i"]?>"  <?if($m["dia$i"]=="D"){echo"readonly";$ds++;}?> autocomplete="OFF" >
						</td>
					   <?
					  }
					?>
				</tr>
		    </table>
			<?$ds=$ds/7;?>
			<input type="hidden" value="<?echo $ds;?>" id="contador<?echo$id?>">	
<?$ds=0;?>
		</center>
		<?
		 $ids[]=$id;
		}
		/*echo "<pre>";
		    print_r($ids);
		echo "</pre>";*/
		?>
		<input type="hidden" name="idsuser" id="idsuser" value="<?echo $idsn=array_envia($ids);?>">
		<center><input type="submit" name="guardar"  value="guardar"></center>
		<script>document.getElementById('ids').value=document.getElementById('idsuser').value;</script>
	</form>
	</body>
	<?
	 if($top==md5("update")||$top==md5("registro"))
	  {
	   ?>
	    <script>oculta();</script>
	   <?
	  }
	?>
</html>
